Package org.apache.sling.commons.log.logback.internal.util

# Class SlingRollingFileAppender<E>

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.UnsynchronizedAppenderBase<E>
ch.qos.logback.core.OutputStreamAppender<E>
ch.qos.logback.core.FileAppender<E>
ch.qos.logback.core.rolling.RollingFileAppender<E>
org.apache.sling.commons.log.logback.internal.util.SlingRollingFileAppender<E>

Type Parameters:
  `E` - the type of event the appender is for (usually `ILoggingEvent`

All Implemented Interfaces:
  `ch.qos.logback.core.Appender<E>`, `ch.qos.logback.core.spi.ContextAware`, `ch.qos.logback.core.spi.FilterAttachable<E>`, `ch.qos.logback.core.spi.LifeCycle`

public class SlingRollingFileAppender<E> extends ch.qos.logback.core.rolling.RollingFileAppender<E>
Custom class to allow the SlingLogPanel to differentiate between default appenders and Sling config based appenders

## Field Summary

### Fields inherited from class ch.qos.logback.core.FileAppender

`append, COLLISION_WITH_EARLIER_APPENDER_URL, DEFAULT_BUFFER_SIZE, fileName`

### Fields inherited from class ch.qos.logback.core.OutputStreamAppender

`encoder, streamWriteLock`

### Fields inherited from class ch.qos.logback.core.UnsynchronizedAppenderBase

`name, started`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`SlingRollingFileAppender()`

## Method Summary

Modifier and Type
Method
Description
`@Nullable org.apache.sling.commons.log.logback.internal.LogWriter`
`getLogWriter()`
Get the LogWriter config associated with this appender
`void`
`setLogWriter(@Nullable org.apache.sling.commons.log.logback.internal.LogWriter logWriter)`
Set the LogWriter config associated with this appender

### Methods inherited from class ch.qos.logback.core.rolling.RollingFileAppender

`getFile, getRollingPolicy, getTriggeringPolicy, rollover, setFile, setRollingPolicy, setTriggeringPolicy, start, stop, subAppend, updateByteCount`

### Methods inherited from class ch.qos.logback.core.FileAppender

`isAppend, isPrudent, openFile, rawFileProperty, setAppend, setBufferSize, setPrudent, writeOut`

### Methods inherited from class ch.qos.logback.core.OutputStreamAppender

`append, closeOutputStream, getEncoder, getOutputStream, isImmediateFlush, setEncoder, setImmediateFlush, setLayout, setOutputStream, writeByteArrayToOutputStreamWithPossibleFlush`

### Methods inherited from class ch.qos.logback.core.UnsynchronizedAppenderBase

`addFilter, buildReentryGuard, clearAllFilters, doAppend, getCopyOfAttachedFiltersList, getFilterChainDecision, getName, isStarted, setName, toString`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

## Constructor Details

### SlingRollingFileAppender

public SlingRollingFileAppender()

## Method Details

### getLogWriter

@Nullable public @Nullable org.apache.sling.commons.log.logback.internal.LogWriter getLogWriter()
Get the LogWriter config associated with this appender

Returns:
  the LogWriter config object (or null if not set)

### setLogWriter

public void setLogWriter(@Nullable @Nullable org.apache.sling.commons.log.logback.internal.LogWriter logWriter)
Set the LogWriter config associated with this appender

Parameters:
  `logWriter` - the config